
//
//  DownloadSoftController.m
//  GODiagnoseDemo
//
//  Created by Launch Tech Co.,Ltd on 9/30/15.
//  Copyright (c) 2015 allen. All rights reserved.
//

#import "DownloadSoftController.h"
#import "GOFillCarInfoController.h"
#import "GOCarConfigureController.h"
#import "GOWIFISettingChooseController.h"
#import "GOMonitorViewController.h"
#import "UIViewController+Extension.h"
#import "GONetworkRequest.h"
#import "MBProgressHUD+Golo.h"

@interface DownloadSoftController ()<UITextFieldDelegate,UIAlertViewDelegate>

@property (nonatomic ,copy) NSString *access_id;
@property (nonatomic ,copy) NSString *access_token;
@property (nonatomic ,copy) NSString *ccUserId;
@property (nonatomic ,copy) NSString *vdConfigId;
@property (nonatomic ,copy) NSString *eobdConfigId;
@property (nonatomic ,copy) NSString *eobdSign;
@property (nonatomic ,copy) NSString *confSign;
@property (nonatomic ,strong) MBProgressHUD *hud;

@property (weak, nonatomic) IBOutlet UITextField *goloSerialNum;

@end

@implementation DownloadSoftController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.goloSerialNum.delegate = self;
}

// 无接头响应事件
- (IBAction)registerProduct:(UIButton *)sender {
//    [self animationLoadShow];
//    NSString *timeStr = [NSString stringWithFormat:@"%ld",(long)[[NSDate date] timeIntervalSince1970]]; // 获取当前时间戳
//    NSString *tempStr = [NSString stringWithFormat:@"%@%@",timeStr,DEVELOP_KEY];
//    // 加密参数
//    NSDictionary *signParams = @{@"action":@"sim_card_service.get_flow_by_serial",
//                                 @"develop_id":DEVELOP_ID,
//                                 @"devicesn":@"969490100084",
//                                 @"time":tempStr};
//    NSString *sign = [self signWithParamsForiDiag:signParams];
//    // 请求参数
//    NSDictionary *params = @{@"action":@"sim_card_service.get_flow_by_serial",
//                             @"develop_id":DEVELOP_ID,
//                             @"devicesn":@"969490100084",
//                             @"time":timeStr,
//                             @"sign":sign};
//    [GONetworkRequest networkRegisterProduct:params requestSuccess:^(id responseObject) {
//        
//        self.hud.hidden = YES;
//        if ([[responseObject valueForKey:@"code"] integerValue] == 0) {
//            
//            NSDictionary *dic = (NSDictionary *)responseObject[@"data"];
//            self.access_id = [NSString stringWithFormat:@"%@",dic[@"access_id"]];
//            self.access_token = dic[@"access_token"];
//            
//            if (self.access_id.length != 0 && self.access_token.length != 0) {
//                
//                [self tipsMessage:@"获取access_id和access_token成功"];
//                // 跳转添加车辆信息界面
//                GOFillCarInfoController *fillCarInfoCtl = [[GOFillCarInfoController alloc] init];
//                fillCarInfoCtl.access_id = self.access_id;
//                fillCarInfoCtl.access_token = self.access_token;
//                [self.navigationController pushViewController:fillCarInfoCtl animated:YES];
//            }
//            
//        }else{
//            
//            [self tipsMessage:@"获取access_id和access_token失败,请检查参数！"];
//        }
    
    [self animationLoadShow];
    NSString *timeStr = [NSString stringWithFormat:@"%ld",(long)[[NSDate date] timeIntervalSince1970]]; // 获取当前时间戳
    NSString *tempStr = [NSString stringWithFormat:@"%@%@",timeStr,DEVELOP_KEY];
    // 加密参数
    NSDictionary *signParams = @{@"action":@"develop.reg_user",
                                 @"app_id":@"2013120200000001",
                                 @"develop_id":DEVELOP_ID,
                                 @"time":tempStr};
    NSString *sign = [self signWithParamsForiDiag:signParams];
    // 请求参数
    NSDictionary *params = @{@"action":@"develop.reg_user",
                             @"develop_id":DEVELOP_ID,
                             @"app_id":@"2013120200000001",
                             @"time":timeStr,
                             @"sign":sign};
    [GONetworkRequest networkRegisterProduct:params requestSuccess:^(id responseObject) {
        
        self.hud.hidden = YES;
        if ([[responseObject valueForKey:@"code"] integerValue] == 0) {
            
            NSDictionary *dic = (NSDictionary *)responseObject[@"data"];
            self.access_id = [NSString stringWithFormat:@"%@",dic[@"access_id"]];
            self.access_token = dic[@"access_token"];
            
            if (self.access_id.length != 0 && self.access_token.length != 0) {
                
                [self tipsMessage:@"获取access_id和access_token成功"];
                // 跳转添加车辆信息界面
                GOFillCarInfoController *fillCarInfoCtl = [[GOFillCarInfoController alloc] init];
                fillCarInfoCtl.access_id = self.access_id;
                fillCarInfoCtl.access_token = self.access_token;
                [self.navigationController pushViewController:fillCarInfoCtl animated:YES];
            }

        }else{
        
            [self tipsMessage:@"获取access_id和access_token失败,请检查参数！"];
        }

    } requestFailure:^(id responseObject) {
    
        self.hud.hidden = YES;
        [self tipsMessage:@"请检查网络"];
    }];
 
}

// 有接头响应事件
- (IBAction)goloIsRegisterBtnAction:(UIButton *)sender {
    
    if (self.goloSerialNum.text.length != 0) {
        
        if (sender.tag == 100) {
            
            [self getCarConfigParamRequest]; // 请求配置文件下载需要的参数
        }else if(sender.tag == 101){
            
            [self tipsMessageForcancelRegister]; // 取消注册请求
        }
    }else{
    
        [self tipsMessage:@"请输入序列号"];
    }
}

// 请求配置文件下载需要的参数
- (void)getCarConfigParamRequest{
    
    [self animationLoadShow];
    NSString *timeStr = [NSString stringWithFormat:@"%ld",(long)[[NSDate date] timeIntervalSince1970]]; // 获取当前时间戳
    NSString *tempStr = [NSString stringWithFormat:@"%@%@",timeStr,DEVELOP_KEY];
    
    NSDictionary *signParams = @{@"action":@"data_develop.get_car_eobd",
                                 @"app_id":@"2013120200000001",
                                 @"develop_id":DEVELOP_ID,
                                 @"serial_no":self.goloSerialNum.text,//@"970190023394",// // golo头序列号
                                 @"time":tempStr};
    NSString *sign = [self signWithParamsForiDiag:signParams];
    
    NSDictionary *params = @{@"action":@"data_develop.get_car_eobd",
                             @"app_id":@"2013120200000001",
                             @"develop_id":DEVELOP_ID,
                             @"serial_no":self.goloSerialNum.text,
                             @"time":timeStr,
                             @"sign":sign};
    
    [GONetworkRequest networkGetCarConfigParam:params requestSuccess:^(id responseObject) {
        
        self.hud.hidden = YES;
        if (responseObject) { // 若接头未注册，服务器返回的不是JSON数据，则responseObject为nil
            
            if ([[responseObject valueForKey:@"code"] integerValue] == 0) {
                
                NSDictionary *dic = [responseObject valueForKey:@"data"];
                GOCarConfigureController *carConfigCtl = [[GOCarConfigureController alloc]init];
                carConfigCtl.goloSeriesId = self.goloSerialNum.text;
                carConfigCtl.ccUserId = [NSString stringWithFormat:@"%@",dic[@"user_id"]];
                carConfigCtl.vdConfigId = [NSString stringWithFormat:@"%@",dic[@"configId"]];
                carConfigCtl.eobdConfigId = [NSString stringWithFormat:@"%@",dic[@"obd_config"]];
                carConfigCtl.eobdSign = [NSString stringWithFormat:@"%@",dic[@"obd_sign"]];
                carConfigCtl.confSign = [NSString stringWithFormat:@"%@",dic[@"sign"]];
                [self.navigationController pushViewController:carConfigCtl animated:YES];
                
            }else{
                
                NSString *msg = [responseObject valueForKey:@"msg"];
                [self tipsMessage:msg];
            }
        }else{
        
            [self tipsMessage:@"请先注册接头"];
        }
        
    } requestFailure:^(id responseObject) {
        
        self.hud.hidden = YES;
        [self tipsMessage:@"请检查网络"];
    }];
}

// 取消注册请求
- (void)cancelRegisterRequest{
    
    [self animationLoadShow];
    NSString *timeStr = [NSString stringWithFormat:@"%ld",(long)[[NSDate date] timeIntervalSince1970]]; // 获取当前时间戳
    NSString *tempStr = [NSString stringWithFormat:@"%@%@",timeStr,DEVELOP_KEY];
    
    NSDictionary *signParams = @{@"action":@"product_service.cancel_mycar_register",
                                 @"develop_id":DEVELOP_ID,
                                 @"serial_no":self.goloSerialNum.text,
                                 @"time":tempStr};
    NSString *sign = [self signWithParamsForiDiag:signParams];
    
    NSDictionary *params = @{@"action":@"product_service.cancel_mycar_register",
                             @"develop_id":DEVELOP_ID,
                             @"serial_no":self.goloSerialNum.text,
                             @"time":timeStr,
                             @"sign":sign};
    
    [GONetworkRequest networkCancelRegisterProduct:params requestSuccess:^(id responseObject) {
        
        self.hud.hidden = YES;
        if ([[responseObject valueForKey:@"code"] integerValue] == 0) {
            
            [self tipsMessage:[responseObject valueForKey:@"data"]];
        }else{
            
            NSString *msg = [responseObject valueForKey:@"msg"];
            [self tipsMessage:msg];
        }
    } requestFailure:^(id responseObject) {
        
        self.hud.hidden = YES;
        [self tipsMessage:@"请检查网络"];
    }];
}

- (IBAction)wifiManger:(UIButton *)sender {
    
    if (self.goloSerialNum.text.length == 12) {
        GOWIFISettingChooseController *wifiMangerController = [[GOWIFISettingChooseController alloc] init];
        wifiMangerController.serialNO = self.goloSerialNum.text;
        [self.navigationController pushViewController:wifiMangerController animated:YES];
    }else{
        [self tipsMessage:@"请输入12位golo接头序列号"];
    }
}


- (IBAction)monitorCarData:(UIButton *)sender {
    
    if (self.goloSerialNum.text.length == 12) {
        GOMonitorViewController *monitorCtrl = [[GOMonitorViewController alloc] init];
        monitorCtrl.serialNO = self.goloSerialNum.text;
        [self.navigationController pushViewController:monitorCtrl animated:YES];
    }else{
        [self tipsMessage:@"请输入12位golo接头序列号"];
    }
}

- (void)tipsMessageForcancelRegister{

    if (self.goloSerialNum.text.length != 12){
        [self tipsMessage:@"请输入12位golo接头序列号"];
    }
    UIAlertView *alter = [[UIAlertView alloc]initWithTitle:@"提示" message:@"接头解绑后需要后台重新添加，是否确认解绑？" delegate:self cancelButtonTitle:@"取消" otherButtonTitles:@"确定", nil];
    [alter show];
}
- (void)alertView:(UIAlertView *)alertView clickedButtonAtIndex:(NSInteger)buttonIndex{
    
    switch (buttonIndex) {
        case 0:
            break;
        case 1:
            [self cancelRegisterRequest];
            break;
            
        default:
            break;
    }
}
// 加载动画
- (void)animationLoadShow{

    self.hud = [MBProgressHUD showHudOnView:self.view animated:YES];
    self.hud.hidden = NO;
    self.hud.labelText = @"请稍等...";
}
// 收键盘
- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event{

    [self.view endEditing:YES];
}
- (BOOL)textFieldShouldReturn:(UITextField *)textField{

    [textField resignFirstResponder];
    return YES;
}

@end
