//
//  GOBasicViewController.m
//  GODiagnoseDemo
//
//  Created by Launch Tech Co.,Ltd on 4/8/15.
//  Copyright (c) 2015 allen. All rights reserved.
//

#import "GOBasicViewController.h"
#import "MBProgressHUD+Golo.h"

@interface GOBasicViewController ()

@end

@implementation GOBasicViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    if (([[[UIDevice currentDevice] systemVersion] floatValue] >= 7.0))
    {
        self.edgesForExtendedLayout = UIRectEdgeNone;
        self.extendedLayoutIncludesOpaqueBars = NO;
        self.modalPresentationCapturesStatusBarAppearance = NO;
        self.navigationController.navigationBar.backgroundColor = [UIColor whiteColor];
    }
    else
    {
        self.navigationController.navigationBar.backgroundColor = [UIColor whiteColor];
    }
}

#pragma mark - HUDView -
- (void)showHudWithAnimated:(BOOL)animated
{
    _hud = [MBProgressHUD showHudOnView:self.view animated:animated];
}

// 隐藏对话框
- (void)hidenHudWithAnimated
{
    [_hud hide:YES];
}

- (void)showAertWithTitle:(NSString *)title
                  message:(NSString *)message
{
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:title
                                                    message:message
                                                   delegate:nil
                                          cancelButtonTitle:@"确定"
                                          otherButtonTitles:nil, nil];
    [alert show];
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
