//
//  MainMeunViewController.m
//  GODiagnoseDemo
//
//  Created by Launch Tech Co.,Ltd on 4/8/15.
//  Copyright (c) 2015 allen. All rights reserved.
//

#import "MainMeunViewController.h"
#import "InspectViewController.h"
#import "GOWIFIManagerViewController.h"
#import "GOSleepSettingViewController.h"
#import "GOMonitorViewController.h"
#import "DownloadSoftController.h"

@interface MainMeunViewController () 

@end

@implementation MainMeunViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.title = @"演示";
    // Do any additional setup after loading the view from its nib.
}

#pragma mark - tableviewDelegate and DataSource
- (NSInteger)numberOfSectionsInTableView:(UITableView*)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView*)tableView numberOfRowsInSection:(NSInteger)section
{
    return 4;
}

- (CGFloat)tableView:(UITableView*)tableView heightForRowAtIndexPath:(NSIndexPath*)indexPath
{
    return 54.0;
}

- (UITableViewCell*)tableView:(UITableView*)tableView cellForRowAtIndexPath:(NSIndexPath*)indexPath
{
    static NSString* cell_id = @"apps-cell";
    UITableViewCell* cell = [tableView dequeueReusableCellWithIdentifier:cell_id];
    if (!cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:cell_id];
    }

    if (0 == indexPath.row) {
        cell.textLabel.text = @"车辆体检";
    }
    else if (1 == indexPath.row) {
        cell.textLabel.text = @"WIFI管理";
    }
    else if (2 == indexPath.row) {
        cell.textLabel.text = @"接头休眠设置";
    }
    else if (3 == indexPath.row) {
        cell.textLabel.text = @"实时监控";
    }
    cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    cell.selectionStyle = UITableViewCellSelectionStyleNone;

    return cell;
}

- (void)tableView:(UITableView*)tableView didSelectRowAtIndexPath:(NSIndexPath*)indexPath
{
    UIStoryboard* board = [UIStoryboard storyboardWithName:@"Main" bundle:nil];

    if (0 == indexPath.row) {
        InspectViewController* ctrl = [board instantiateViewControllerWithIdentifier:@"Inspect"]; //基本版本用的
        ctrl.goloSeriesId = self.goloSeriesId;
        [self.navigationController pushViewController:ctrl animated:YES];
    }
    else if (1 == indexPath.row) {
        GOWIFIManagerViewController* ctrl = [board instantiateViewControllerWithIdentifier:@"WIFIManager"];
        ctrl.serialNO = self.goloSeriesId;
        [self.navigationController pushViewController:ctrl animated:YES];
    }
    else if (2 == indexPath.row) {
        GOWIFIManagerViewController* ctrl = [board instantiateViewControllerWithIdentifier:@"SleepSetting"];
        ctrl.serialNO = self.goloSeriesId;
        [self.navigationController pushViewController:ctrl animated:YES];
    }
    else if (3 == indexPath.row) {
        GOMonitorViewController* ctrl = [[GOMonitorViewController alloc] init];
        ctrl.serialNO = self.goloSeriesId;
        [self.navigationController pushViewController:ctrl animated:YES];
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
